## $Id: utils.py 12286 2014-12-21 16:49:21Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the customer section.
"""

from waeup.ikoba.customers.utils import CustomersUtils
from ikobacustom.skeleton.interfaces import MessageFactory as _

class SkeletonCustomersUtils(CustomersUtils):
    """A collection of methods subject to customization.
    """


    DOCTYPES_DICT = {
        'CustomerSampleDocument': _('Sample Document'),
        'CustomerPDFDocument': _('PDF Document'),

        'SkeletonSampleDocument': _('Skeleton Document'),
        }

    CONTYPES_DICT = {
        'SampleContract': _('Sample Contract'),

        'SkeletonContract': _('Skeleton Contract'),
        }

    SELECTABLE_DOCTYPES_DICT = DOCTYPES_DICT

    SELECTABLE_CONTYPES_DICT = CONTYPES_DICT
